Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | List of all members
wowf.tests.test_models.UserModelTestCase Class Reference
Inheritance diagram for wowf.tests.test_models.UserModelTestCase:
Collaboration diagram for wowf.tests.test_models.UserModelTestCase:

## Public Member Functions
def | test_create_user
def | test_get_by_id
def | test_get_by_email
def | test_is_buddy
def | test_add_buddy
def | test_remove_buddy
def | test_get_buddies
def | test_get_challenges
def | test_in_challenge
def | test_owns_challenge
def | test_accept_challenge
def | test_deny_challenge
def | test_create_speed_challenge
Public Member Functions inherited from wowf.tests.test_models.BaseModelTestCase
def | setup_db
Public Member Functions inherited from wowf.tests.BaseUnitTestCase
def | setUp
def | tearDown

## Additional Inherited Members
Public Attributes inherited from wowf.tests.BaseUnitTestCase
| config

## Detailed Description

Definition at line 42 of file test_models.py.

## Member Function Documentation

def wowf.tests.test_models.UserModelTestCase.test_accept_challenge | ( |  | self | ) |

Definition at line 128 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_add_buddy | ( |  | self | ) |

Definition at line 82 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_create_speed_challenge | ( |  | self | ) |

Definition at line 154 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_create_user | ( |  | self | ) |

Definition at line 44 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_deny_challenge | ( |  | self | ) |

Definition at line 144 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_get_buddies | ( |  | self | ) |

Definition at line 96 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_get_by_email | ( |  | self | ) |

Definition at line 67 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_get_by_id | ( |  | self | ) |

Definition at line 58 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_get_challenges | ( |  | self | ) |

Definition at line 105 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_in_challenge | ( |  | self | ) |

Definition at line 114 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_is_buddy | ( |  | self | ) |

Definition at line 75 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_owns_challenge | ( |  | self | ) |

Definition at line 121 of file test_models.py.

def wowf.tests.test_models.UserModelTestCase.test_remove_buddy | ( |  | self | ) |

Definition at line 89 of file test_models.py.

The documentation for this class was generated from the following file:

- wowf/tests/test_models.py